Package org.bukkit.material

# Class Cauldron

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Cauldron

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Cauldron extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a cauldron

## Constructor Summary

Constructors
Constructor
Description
`Cauldron()`
Deprecated.
`Cauldron(byte data)`
Deprecated.
Magic value
`Cauldron(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Cauldron`
`clone()`
Deprecated.
`boolean`
`isEmpty()`
Deprecated.
Check if the cauldron is empty.
`boolean`
`isFull()`
Deprecated.
Check if the cauldron is full.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Cauldron

public Cauldron()
Deprecated.

### Cauldron

@Deprecated public Cauldron(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

### Cauldron

@Deprecated public Cauldron(byte data)
Deprecated.
Magic value

Parameters:
  `data` - the raw data value

## Method Details

### isFull

public boolean isFull()
Deprecated.
Check if the cauldron is full.

Returns:
  True if it is full.

### isEmpty

public boolean isEmpty()
Deprecated.
Check if the cauldron is empty.

Returns:
  True if it is empty.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Cauldron clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`